Bug 226572 - Merge Review: xorg-x11-docs
Merge Review: xorg-x11-docs
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-docs (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin E. Martin
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-31 16:21 EST by Nobody's working on this, feel free to take it
Modified: 2015-04-30 08:59 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-04-30 08:59:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nobody's working on this, feel free to take it 2007-01-31 16:21:36 EST
Fedora Merge Review: xorg-x11-docs

http://cvs.fedora.redhat.com/viewcvs/devel/xorg-x11-docs/
Initial Owner: sandmann@redhat.com
Comment 1 Thorsten Leemhuis 2007-02-03 13:02:23 EST
* package name

 Quoting the guidelines: "Large documentation files should go in a -doc
subpackage." doc, not docs. Please rename and place proper obsoletes and
provides with versions.

* install location

 All doc files should go to %doc (e.g. /usr/share/docs) -- that holds true for
files in seperate doc packges, too. Please fix. Having a symlink from
%{_datadir}/X11/doc/ to the target directory in %doc might be acceptable if
there is a good reasons for it (e.g. in case upstream is installing the packages
there) -- I leave that discussion up to you

* version

 There is a 1.3 version online already. Is that specific to X.org 7.2 (which is
not in rawhide as of now)? If not it might be wise to update to it.

* rplint
rpmlint on ./xorg-x11-docs-1.2-4.fc7.src.rpm
W: xorg-x11-docs invalid-license MIT/X11
-> probably MIT (see below)

W: xorg-x11-docs unversioned-explicit-obsoletes XFree86-doc
W: xorg-x11-docs unversioned-explicit-obsoletes xorg-x11-doc
W: xorg-x11-docs unversioned-explicit-provides XFree86-doc
W: xorg-x11-docs unversioned-explicit-provides xorg-x11-doc
-> Please place a version on those (well, not for xorg-x11-doc, as that will be
the new name for the package)


rpmlint on ./xorg-x11-docs-1.2-4.fc7.noarch.rpm
W: xorg-x11-docs incoherent-version-in-changelog 1.2-4.fc6 1.2-4.fc7
W: xorg-x11-docs invalid-license MIT/X11

* MISC:

 * I don't like that tarname macro, as it should be no problem to hardcode that
in the two places where it is getting used.

 * From %install:
rm -rf $RPM_BUILD_ROOT%{_datadir}/X11/doc/hardcopy/XPRINT
   Would be nice to know why that is done -- a small comment would be nice Ohh,
actually there is a comment in the files section. Why no simply exclude the
deleted files there below the comment?

  Well, maybe even better: It IMHO would make the whole specfile a lot more
readable if the files section would just contain the topdir of the doc target
dir (and the man files). rpm will then make sure that all files and dirs get
included properly. But that's a matter of style.

 * the source package ships a README -- should we ship that?

 * there is no COPYING file in the package -- how to make sure it's MIT? Might
be wise to contact upstream about it.

* Besides that:
 package meets naming and packaging guidelines.
 specfile is properly named, is cleanly written and uses macros consistently.
 build root is correct.
 source files match upstream:
  f817c5df43817846c1b27bac83da74d7  xorg-docs-1.2.tar.bz2
 final provides and requires are sane:
 no shared libraries are present.
 package is not relocatable.
 owns the directories it creates.
 doesn't own any directories it shouldn't.
 no duplicates in %files.
 file permissions are appropriate.
 %clean is present.
 no scriptlets present.
 no headers.
 no pkgconfig files.
 no libtool .la droppings.
 not a GUI app.
 not a web app.
 no open bugs
Comment 3 Cole Robinson 2015-02-11 15:39:37 EST
Mass reassigning all merge reviews to their component. For more details, see this FESCO ticket:

  https://fedorahosted.org/fesco/ticket/1269

If you don't know what merge reviews are about, please see:

  https://fedoraproject.org/wiki/Merge_Reviews

How to handle this bug is left to the discretion of the package maintainer.
Comment 4 Simone Caronni 2015-04-30 08:59:17 EDT
I've got access for this package to update it to current packaging guidelines and an update that contains all the changes has been released before opening this bug.

Note You need to log in before you can comment on or make changes to this bug.